/*
	ClipMouseUpDown - Mouse button event test for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
class ClipMouseUpDown {
	public static function main(mc:MovieClip) {
		var submc:MovieClip;
		
		submc=mc.createEmptyMovieClip("submc",mc.getNextHighestDepth());
		submc.beginFill(0x0066FF);
		submc.moveTo(0,0);
		submc.lineTo(320,0);
		submc.lineTo(320,240);
		submc.lineTo(0,240);
		submc.lineTo(0,0);
		submc.endFill();
		submc.onMouseDown=function():Void {
			trace("stagemouseupdown: button pressed ("+this._xmouse+","+this._ymouse+")");
		};
		submc.onMouseUp=function():Void {
			trace("stagemouseupdown: button released ("+this._xmouse+","+this._ymouse+")");
		};
		submc.onPress=function():Void {
			trace("stagemouseupdown: pressed on movie ("+this._xmouse+","+this._ymouse+")");
		};
		submc.onRelease=function():Void {
			trace("stagemouseupdown: released on movie ("+this._xmouse+","+this._ymouse+")");
		};
		submc.onReleaseOutside=function():Void {
			trace("stagemouseupdown: released outside movie ("+this._xmouse+","+this._ymouse+")");
		};
		mc.menu=new ContextMenu(function():Void {
			trace("stagemouseupdown: right button pressed ("+_root._xmouse+","+_root._ymouse+")");
		});
	}
}
